Debian Bug report logs - #615158
ITP: ocaml-cil -- OCaml library for manipulating C programs

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stéphane Glondu <glondu@debian.org>

Date: Sat, 26 Feb 2011 07:03:01 UTC

Owned by: Gabriel Kerneis <gabriel@kerneis.info>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-ocaml-maint@lists.debian.org, wnpp@debian.org, "Stéphane Glondu" <glondu@debian.org>:
Bug#615158; Package wnpp. (Sat, 26 Feb 2011 07:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-ocaml-maint@lists.debian.org, wnpp@debian.org, "Stéphane Glondu" <glondu@debian.org>. (Sat, 26 Feb 2011 07:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ocaml-cil -- OCaml library for manipulating C programs
Date: Sat, 26 Feb 2011 07:59:45 +0100
Package: wnpp
Severity: wishlist
Owner: "Stéphane Glondu" <glondu@debian.org>

* Package name    : ocaml-cil
  Version         : 1.3.7
  Upstream Author : George C. Necula and others
* URL             : http://sourceforge.net/projects/cil/
* License         : BSD
  Programming Lang: OCaml
  Description     : OCaml library for manipulating C programs

 CIL (C Intermediate Language) is a high-level representation along
 with a set of tools that permit easy analysis and source-to-source
 transformation of C programs.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Stéphane Glondu" <glondu@debian.org>:
Bug#615158; Package wnpp. (Sat, 12 Mar 2011 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tautschnig <mt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Stéphane Glondu" <glondu@debian.org>. (Sat, 12 Mar 2011 17:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 615158@bugs.debian.org (full text, mbox):

From: Michael Tautschnig <mt@debian.org>
To: 615158@bugs.debian.org
Subject: Progress?
Date: Sat, 12 Mar 2011 17:37:43 +0000
[Message part 1 (text/plain, inline)]
Hi,

As I'd be interested in getting a package into Debian that would at least
suggest Cil I was wondering whether you had already been successful in packaging
Cil.

Thanks a lot in advance,
Michael

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Stéphane Glondu" <glondu@debian.org>:
Bug#615158; Package wnpp. (Thu, 17 Mar 2011 22:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Stéphane Glondu" <glondu@debian.org>. (Thu, 17 Mar 2011 22:33:09 GMT) Full text and rfc822 format available.

Message #15 received at 615158@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Michael Tautschnig <mt@debian.org>, 615158@bugs.debian.org
Cc: Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#615158: Progress?
Date: Thu, 17 Mar 2011 23:32:25 +0100
Le 12/03/2011 18:37, Michael Tautschnig a écrit :
> As I'd be interested in getting a package into Debian that would at least
> suggest Cil I was wondering whether you had already been successful in packaging
> Cil.

I've pushed a preliminary packaging to:

  http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-cil.git

But:

 - Upstream is over-defensive in its configure script for no good
   reason; basically only amd64 and i386 (and maybe some other native
   architectures, but I'm not even sure) pass with the pristine one.
   I've patched it so that it runs on some other architectures
   supported by Debian (e.g. the kfreebsd ones).
 - I haven't yet tested all the provided tools... the packaging deals
   only with the OCaml library.
 - I haven't even reached the status where I could use the package for
   my own development, let alone release a decent Debian package.

If anyone feels like continuing the work, please feel free to proceed...
but I won't dedicate much more efforts to this before months.


Cheers,

-- 
Stéphane





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Stéphane Glondu" <glondu@debian.org>:
Bug#615158; Package wnpp. (Sun, 27 Mar 2011 19:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tautschnig <mt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Stéphane Glondu" <glondu@debian.org>. (Sun, 27 Mar 2011 19:30:02 GMT) Full text and rfc822 format available.

Message #20 received at 615158@bugs.debian.org (full text, mbox):

From: Michael Tautschnig <mt@debian.org>
To: Stéphane Glondu <glondu@debian.org>
Cc: 615158@bugs.debian.org, Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#615158: Progress?
Date: Sun, 27 Mar 2011 20:28:20 +0100
[Message part 1 (text/plain, inline)]
Hi Stéphane,

[...]
> I've pushed a preliminary packaging to:
> 
>   http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-cil.git
> 

Do I need some specific permissions to be able to access that one? All I get is:

warning: remote HEAD refers to nonexistent ref, unable to checkout.

[...]
> If anyone feels like continuing the work, please feel free to proceed...
> but I won't dedicate much more efforts to this before months.
> 

Somewhat complementary to your interests I mainly care about the interface to
Cil via the cilly binary. I'd be happy to help in packaging at least that bit,
if it helps. 

Best regards,
Michael

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Stéphane Glondu" <glondu@debian.org>:
Bug#615158; Package wnpp. (Mon, 27 May 2013 14:13:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Stéphane Glondu" <glondu@debian.org>. (Mon, 27 May 2013 14:13:17 GMT) Full text and rfc822 format available.

Message #25 received at 615158@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 615158@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ocaml-cil: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:27 +0200
retitle 615158 RFP: ocaml-cil -- OCaml library for manipulating C programs
noowner 615158
tag 615158 - pending
thanks

Hi,

This is an automatic email to change the status of ocaml-cil back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting ocaml-cil, please send a mail to
<control@bugs.debian.org> with:

 retitle 615158 ITP: ocaml-cil -- OCaml library for manipulating C programs
 owner 615158 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <615158@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: ocaml-cil -- OCaml library for manipulating C programs' from 'ITP: ocaml-cil -- OCaml library for manipulating C programs' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:37:15 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Stéphane Glondu" <glondu@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:37:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#615158; Package wnpp. (Wed, 28 Aug 2013 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Kerneis <gabriel@kerneis.info>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 28 Aug 2013 19:15:04 GMT) Full text and rfc822 format available.

Message #34 received at 615158@bugs.debian.org (full text, mbox):

From: Gabriel Kerneis <gabriel@kerneis.info>
To: 615158@bugs.debian.org
Cc: Stéphane Glondu <glondu@debian.org>, Michael Tautschnig <mt@debian.org>, control@bugs.debian.org, mehdi@debian.org
Subject: ITP: ocaml-cil -- OCaml library for manipulating C programs
Date: Wed, 28 Aug 2013 19:41:23 +0100
retitle 615158 ITP: ocaml-cil -- OCaml library for manipulating C programs
owner 615158 !
thanks

Hi,

I have worked on a new ocaml-cil package, from scratch. I am also the
new upstream for CIL and it has changed a lot since Stéphane first tried
to package it.

My current version (ocaml-cil_1.7.3, not to be confused with Stéphane's
1.3.7 ;-) builds as follows:

  git clone -b debian https://github.com/kerneis/cil ocaml-cil
  cd ocaml-cil
  gbp buildpackage 

This is my first Debian package so it's probably far from perfect. Any
feedback or hint about how to proceed next would be greatly appreciated.

Many thanks,
-- 
Gabriel



Changed Bug title to 'ITP: ocaml-cil -- OCaml library for manipulating C programs' from 'RFP: ocaml-cil -- OCaml library for manipulating C programs' Request was from Gabriel Kerneis <gabriel@kerneis.info> to control@bugs.debian.org. (Wed, 28 Aug 2013 19:15:07 GMT) Full text and rfc822 format available.

Owner recorded as Gabriel Kerneis <gabriel@kerneis.info>. Request was from Gabriel Kerneis <gabriel@kerneis.info> to control@bugs.debian.org. (Wed, 28 Aug 2013 19:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#615158; Package wnpp. (Thu, 29 Aug 2013 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Kerneis <gabriel@kerneis.info>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 29 Aug 2013 11:09:04 GMT) Full text and rfc822 format available.

Message #43 received at 615158@bugs.debian.org (full text, mbox):

From: Gabriel Kerneis <gabriel@kerneis.info>
To: cil-users@lists.sourceforge.net
Cc: 615158@bugs.debian.org
Subject: CIL Debian and Ubuntu packages
Date: Thu, 29 Aug 2013 12:08:03 +0100
Dear all,

I've started working on Debian and Ubuntu packages for CIL.  A preliminary
package for CIL 1.7.3 is available on OBS (openSUSE Build Service):

  https://build.opensuse.org/package/show/home:kerneis/ocaml-cil

To install it, follow the instructions on:

  http://software.opensuse.org/download.html?project=home%3Akerneis&package=ocaml-cil

It builds successfully for Debian 6 ("squeeze") and 7 ("wheezy"), as well as
xUbuntu 12.04 (LTS), 12.10 and 13.04.  It has only been tested on Debian 7,
though: any feedback on other systems is welcome.

This will hopefully land in official repositories at some point. You can
reply or subscribe to the relevant Debian ITP (Intent To Package):

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=615158

Note to RPM users: I am aware that Fedora packages are outdated (1.4.0). This
is the next bullet on my TODO list.

Best regards,
-- 
Gabriel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Gabriel Kerneis <gabriel@kerneis.info>:
Bug#615158; Package wnpp. (Wed, 04 Sep 2013 06:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Gabriel Kerneis <gabriel@kerneis.info>. (Wed, 04 Sep 2013 06:03:04 GMT) Full text and rfc822 format available.

Message #48 received at 615158@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Gabriel Kerneis <gabriel@kerneis.info>
Cc: 615158@bugs.debian.org, Michael Tautschnig <mt@debian.org>, Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>, mehdi@debian.org
Subject: Re: ITP: ocaml-cil -- OCaml library for manipulating C programs
Date: Wed, 04 Sep 2013 07:48:53 +0200
Le 28/08/2013 20:41, Gabriel Kerneis a écrit :
> I have worked on a new ocaml-cil package, from scratch. I am also the
> new upstream for CIL and it has changed a lot since Stéphane first tried
> to package it.

Thank you a lot for that!

> My current version (ocaml-cil_1.7.3, not to be confused with Stéphane's
> 1.3.7 ;-) builds as follows:
> 
>   git clone -b debian https://github.com/kerneis/cil ocaml-cil
>   cd ocaml-cil
>   gbp buildpackage 
> 
> This is my first Debian package so it's probably far from perfect. Any
> feedback or hint about how to proceed next would be greatly appreciated.

I will have a look. Meanwhile, you can join the OCaml Task Force on
Alioth, and update the ocaml-cil package there (feel free to overwrite
it, actually).


Cheers,

-- 
Stéphane




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#615158; Package wnpp. (Wed, 04 Sep 2013 07:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Kerneis <gabriel@kerneis.info>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 04 Sep 2013 07:15:04 GMT) Full text and rfc822 format available.

Message #53 received at 615158@bugs.debian.org (full text, mbox):

From: Gabriel Kerneis <gabriel@kerneis.info>
To: Stéphane Glondu <glondu@debian.org>
Cc: 615158@bugs.debian.org, Michael Tautschnig <mt@debian.org>, Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>, mehdi@debian.org
Subject: Re: ITP: ocaml-cil -- OCaml library for manipulating C programs
Date: Wed, 4 Sep 2013 08:13:09 +0100
On Wed, Sep 04, 2013 at 07:48:53AM +0200, Stéphane Glondu wrote:
> > This is my first Debian package so it's probably far from perfect. Any
> > feedback or hint about how to proceed next would be greatly appreciated.
> 
> I will have a look.

Thanks. Note that "make test" will fail on big-endian architectures (tests
wchar3 and wchar4). I'm working on fixing that.

-- 
Gabriel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#615158; Package wnpp. (Thu, 05 Sep 2013 14:48:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Kerneis <gabriel@kerneis.info>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 05 Sep 2013 14:48:17 GMT) Full text and rfc822 format available.

Message #58 received at 615158@bugs.debian.org (full text, mbox):

From: Gabriel Kerneis <gabriel@kerneis.info>
To: Stéphane Glondu <glondu@debian.org>
Cc: 615158@bugs.debian.org, Michael Tautschnig <mt@debian.org>, Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>, mehdi@debian.org
Subject: Re: ITP: ocaml-cil -- OCaml library for manipulating C programs
Date: Thu, 5 Sep 2013 15:37:27 +0100
On Wed, Sep 04, 2013 at 07:48:53AM +0200, Stéphane Glondu wrote:
> I will have a look. Meanwhile, you can join the OCaml Task Force on
> Alioth, and update the ocaml-cil package there (feel free to overwrite
> it, actually).

I've just done that, thanks. (The default branch is debian rather than
master because it's more convenient in my workflow, but I can change it
if it's too annoying for other maintainers.)

-- 
Gabriel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Gabriel Kerneis <gabriel@kerneis.info>:
Bug#615158; Package wnpp. (Wed, 09 Oct 2013 10:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Gabriel Kerneis <gabriel@kerneis.info>. (Wed, 09 Oct 2013 10:33:04 GMT) Full text and rfc822 format available.

Message #63 received at 615158@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Gabriel Kerneis <gabriel@kerneis.info>
Cc: 615158@bugs.debian.org, Michael Tautschnig <mt@debian.org>, Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: ITP: ocaml-cil -- OCaml library for manipulating C programs
Date: Wed, 09 Oct 2013 12:30:12 +0200
Le 04/09/2013 07:48, Stéphane Glondu a écrit :
>> I have worked on a new ocaml-cil package, from scratch. I am also the
>> new upstream for CIL and it has changed a lot since Stéphane first tried
>> to package it.
> 
> Thank you a lot for that!
> 
>> My current version (ocaml-cil_1.7.3, not to be confused with Stéphane's
>> 1.3.7 ;-) builds as follows:
>>
>>   git clone -b debian https://github.com/kerneis/cil ocaml-cil
>>   cd ocaml-cil
>>   gbp buildpackage 
>>
>> This is my first Debian package so it's probably far from perfect. Any
>> feedback or hint about how to proceed next would be greatly appreciated.
> 
> I will have a look. Meanwhile, you can join the OCaml Task Force on
> Alioth, and update the ocaml-cil package there (feel free to overwrite
> it, actually).

Sorry for taking so much time...

In the sources, the doc/cilcode.tmp directory looks suspicious. It
contains many .o files. Shouldn't it be removed?

The OCaml library (/usr/lib/ocaml/cil) must be in its own binary package
(libcil-ocaml-dev) with a Provides field, so that reverse dependencies
get their dependencies right.

Is is really needed to have cilly.byte AND cilly.native?

Please set the Maintainer field to "Debian OCaml Maintainers <...>" and
move your name to an Uploaders field.


Cheers,

-- 
Stéphane




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#615158; Package wnpp. (Wed, 09 Oct 2013 12:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Kerneis <gabriel@kerneis.info>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 09 Oct 2013 12:39:05 GMT) Full text and rfc822 format available.

Message #68 received at 615158@bugs.debian.org (full text, mbox):

From: Gabriel Kerneis <gabriel@kerneis.info>
To: Stéphane Glondu <glondu@debian.org>
Cc: 615158@bugs.debian.org, Michael Tautschnig <mt@debian.org>, Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: ITP: ocaml-cil -- OCaml library for manipulating C programs
Date: Wed, 9 Oct 2013 13:34:54 +0100
On Wed, Oct 09, 2013 at 12:30:12PM +0200, Stéphane Glondu wrote:
> In the sources, the doc/cilcode.tmp directory looks suspicious. It
> contains many .o files. Shouldn't it be removed?

Indeed, I have no idea how it was included but it is (re)generated by
make doc so I'll make sure it is removed.

> The OCaml library (/usr/lib/ocaml/cil) must be in its own binary package
> (libcil-ocaml-dev) with a Provides field, so that reverse dependencies
> get their dependencies right.

OK.  Fedora also uses separate packages for ocaml-cil-doc and
ocaml-cil-cilly; is this also required for Debian?

> Is is really needed to have cilly.byte AND cilly.native?

The perl wrapper script bin/cilly provides a --bytecode flag to invoke
the bytecode version.  I'm not sure about the historical motivation for
this (ocamldebug comes to mind), but I am reluctant to potentially break
existing user workflows just for the sake saving 1.3 MB.

> Please set the Maintainer field to "Debian OCaml Maintainers <...>" and
> move your name to an Uploaders field.

OK.

I'll let you know when a new version is available.

Thanks for your review,
-- 
Gabriel



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:22:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.